Subject: Sysadmin bit

From: [email-masked] (C. Regis Wilson)
Date: Mon, 11 Jan 1993 00:42:38 -0800

I've been musing for a while on an idea for the server.  My idea is to add
a sysadmin bit in addition to programmer and wizard bits.  Any call which would
affect the server machine would be put in this class.  For example, the
following calls might (or might not) fall under the sysadmin access:

open_network_connection()
boot_player()    (probably best to leave it at wizard access)
server_log()     (again, wizard access is fine)
dump_databse()
memory_usage()  (I forget the exact name :)
connection_name()

And maybe others.  Someone wanted a call that would read a file from the site's
file structure, that would fall under the sysadmin bit.  Does this make sense?
It's not so useful now, but it gives a new class of access so some calls can
be made safely.  To me, the wizard bit is a tad more powerful than perhaps it
should be (but that's just me).  The sysadmin bit would take away the power of
the wizards to call the site specific routines, but they can still have
considerable db power.  At the same time, it would allow more system calls
to be added that would be considerable risks if wizards had access.

Disclaimer:  I haven't even thought about doing this in practice, so I don't
know how feasible/easy/useful/expensive it would be.
---------
T. Pascal, King of Pascal    |  "The man on the moon told us he subsisted by
1600 Campus Road, Box 829    |   digging up cheese from his back yard.
Los Angeles, CA 90041        |   Unfortunately, he never told us what kind
                             |   it was."  -Word Perfect to PCWrite manual
   t_pascal@{{{cub,jaguar,cheetah}.math},bobcat,cheshire,tiger}.oxy.edu